import Topic from './Topic';
declare class ShirinkConnector {
    private _isShrink;
    private _ellipse;
    constructor(topic: Topic);
    changeRender(isShrink: boolean): void;
    setVisibility(value: boolean): void;
    setOpacity(opacity: number): void;
    setFill(color: string): void;
    setAttribute(name: string, value: any): void;
    addToWorkspace(group: any): void;
    setPosition(x: number, y: number): void;
    moveToBack(): void;
    moveToFront(): void;
}
export default ShirinkConnector;
